---
author: "UEFF"
title: "Hagrel Dortumal"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Hagrel Dortumal |
| Date of birth | 15.5.163 BLC |
| City of birth | [Ullh Alari](/cities/ullhalari) |
| Nationality | ![Yllin](/images/flags/yllin_small_md.png) [Yllin](/nations/yllin) |
| Race | [Elf](/races/elf) |
| Position | Coach |
| Current club | [SC Ullh Alari](/teams/scullhalari) |

## Club career

| Club | Season | League position |
|-|-|-|
| [SC Ullh Alari](/teams/scullhalari) | 20 | | |

## Honours

